#################################################################
#                                                               #
#                   FUNCTIONS TO WRITE G CODE                   #
#                                                               #
#################################################################

'''
This file contains all the custom made functions necessary to create 
G codes based on an Abaqus model

For more information about the functions, how they work and why
the procedures have been chosen see 
"Integration Tools for Design and Process Control of Filament Winding"
by Inger Skjaerholt
'''

# necessary Python, Abaqus libraries and files
from abaqus import *

import classes
reload (classes)

### global constants. Do. NOT. Change. These!
# (global constants added for readability)
X_AXIS = 0
Y_AXIS = 1
Z_AXIS = 2

### BODY ###
'''
This function creates a CNC program based on an Abaqus model
'''
def createCNCprogram (settings, mandrel):
	#set file name for the CNC program
	fileName = "{0}_{1}".format(mandrel.modelName, mandrel.partName)
	
	code = classes.GCode(fileName, mandrel)
	
	'''
	mathematics of winding
	code.addLine(settings, X, Y, Z, W)

	'''
	### random points for testing
	code.addLine(settings, mandrel, 10, 20, -5, 20)
	code.addLine(settings, mandrel, 15, -8, 13, 5)
	code.addLine(settings, mandrel, 30, 50, 9, 30)


	print "a CNC-program has been created for: "
	mandrel.printProperties(settings)
	
	
