#################################################################
#                                                               #
#                          MAIN FUNCTION                        #
#                                                               #
#################################################################

'''
This is a main function that should be run thorugh Abaqus/CAE
It utilizes all the Abaqus Winding Integration Tools in order

For more information about the functions, how they work and why
the procedures have been chosen see 
"Integration Tools for Design and Process Control of Filament Winding"
by Inger Skjaerholt
'''

# necessary lines to use the abaqus functions
from abaqus import *
from abaqusConstants import *
import __main__

# import and reload the tools
import mandrelProperties
reload (mandrelProperties)

import GCode
reload (GCode)

import classes
reload (classes)

import visualCrashTest
reload (visualCrashTest)

import layup
reload (layup)

### INPUT ### 
# Specific model data from the Abaqus model
modelName = 'Model-9' 
partName = 'Part-1-mesh-1' 

# alternatively the user can be prompted for the input
# this is, however, impractical during development and therefore commented
'''
modelName, partName = getInputs(
	(('insert modelName: ', 'modelName'),
	('insert partName', 'partName')),
	dialogTitle = 'Input')
'''

settings = classes.MachineParameters('NTNU', 400.0, 4000.0, 4500.0, 400.0, 2*3.14)
mandrel = classes.CylindricalMandrel(modelName, partName)
mandrelProperties.setProperties(settings, mandrel)
layup.addLayup(mandrel, 'm')
GCode.createCNCprogram(settings, mandrel)
visualCrashTest.runTest(mandrel)



